---
title: GlobalEventHandlers.onpointermove
slug: Web/API/GlobalEventHandlers/onpointermove
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - PointerEvent
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <strong><code>onpointermove</code></strong> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes {{event("pointermove")}} events.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>targetElement</var>.onpointermove = <var>moveHandler</var>;

var <var>moveHandler</var> = <var>targetElement</var>.onpointermove;
</pre>

<h3 id="Value">Value</h3>

<dl>
 <dt><code><var>moveHandler</var></code></dt>
 <dd>The <code>pointermove</code> event handler for element <code><var>targetElement</var></code>.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example shows two ways to use <code>onpointermove</code> to set an element's <code>pointermove</code> event handler.</p>

<pre class="brush: js notranslate">&lt;html&gt;
&lt;script&gt;
function moveHandler(ev) {
  // Process the pointermove event
}
function init() {
  let el=document.getElementById('target1');
  el.onpointermove = moveHandler;
}
&lt;/script&gt;

&lt;body onload="init();"&gt;
  &lt;div id="target1"&gt; Touch me ... &lt;/div&gt;
  &lt;div id="target2" onpointermove="moveHandler(event)"&gt; Touch me ... &lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Pointer Events 2','#dom-globaleventhandlers-onpointermove', 'onpointermove')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
   <td>Non-stable version</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#widl-GlobalEventHandlers-onpointermove', 'onpointermove')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.onpointermove")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><code><a href="/en-US/docs/Web/API/Document/pointermove_event">Document: pointermove</a></code> event</li>
 <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointermove_event">HTMLElement: pointermove</a></code> event</li>
</ul>
